Skip to main content
`Ctrl`+`K`

# KSPSetComputeEigenvalues

Sets a flag so that the extreme eigenvalues values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetComputeEigenvalues(KSP ksp, PetscBool flg)

Logically Collective

## Input Parameters

- ksp - iterative solver obtained from `KSPCreate()`

- flg - `PETSC_TRUE` or `PETSC_FALSE`

## Note

Currently this option is not valid for all iterative methods.

Consider using the excellent package SLEPc for accurate efficient computations of singular or eigenvalues.

## See Also

KSP: Linear System Solvers, `KSPComputeEigenvalues()`, `KSPComputeEigenvaluesExplicitly()`, `KSP`, `KSPSetComputeRitz()`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex71.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages